org.wildfly.swarm.config.undertow.configuration.mod_cluster.balancer.node

## Class Context<T extends Context<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.configuration.mod_cluster.balancer.node.Context<T>

-     public class Context<T extends Context<T>>
      extends Object

  Runtime representation of a mod_cluster context

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Context(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Integer` | `requests()` The number of requests against this context
    `T` | `requests(Integer value)` The number of requests against this context
    `String` | `status()` The status of this context
    `T` | `status(String value)` The status of this context

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Context

          public Context(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### requests

          public Integer requests()

      The number of requests against this context

    - #### requests

          public T requests(Integer value)

      The number of requests against this context

    - #### status

          public String status()

      The status of this context

    - #### status

          public T status(String value)

      The status of this context

Copyright © 2018 JBoss by Red Hat. All rights reserved.